#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	markupsafe
Summary:	Implements a XML/HTML/XHTML Markup safe string for Python 3
Summary(pl.UTF-8):	MarkupSafe - łańcuch dla Pythona 3 bezpieczny pod kątem znaczników XML/HTML/XHTML
Name:		python3-%{module}
Version:	1.1.1
Release:	3
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/markupsafe/
Source0:	https://files.pythonhosted.org/packages/source/M/MarkupSafe/MarkupSafe-%{version}.tar.gz
# Source0-md5:	43fd756864fe42063068e092e220c57b
URL:		http://www.pocoo.org/projects/markupsafe/#markupsafe
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%if %{with doc}
BuildRequires:	python3-pallets-sphinx-themes >= 1.1.0
# docs/requirements.txt says 1.8.0, but 1.7.6 also works
#BuildRequires:	sphinx-pdg-3 >= 1.8.0
BuildRequires:	sphinx-pdg-3 >= 1.7.0
%endif
Requires:	python3-modules >= 1:3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MarkupSafe implements a XML/HTML/XHTML Markup safe string for Python.

%description -l pl.UTF-8
MarkupSafe to implementacja łańcucha znaków dla Pythona bezpiecznego
pod kątem znaczników XML/HTML/XHTML.

%package apidocs
Summary:	API documentation for Python MarkupSafe module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona MarkupSafe
Group:		Documentation

%description apidocs
API documentation for Python MarkupSafe module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona MarkupSafe.

%prep
%setup -q -n MarkupSafe-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/$(echo build-3/lib.*) \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/markupsafe/_speedups.c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.rst
%dir %{py3_sitedir}/markupsafe
%{py3_sitedir}/markupsafe/*.py
%{py3_sitedir}/markupsafe/__pycache__
%attr(755,root,root) %{py3_sitedir}/markupsafe/_speedups.cpython-*.so
%{py3_sitedir}/MarkupSafe-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
